| OpenCV 3.4.7 Open Source Computer Vision

Static Public Member Functions | List of all members
cv::xfeatures2d::LUCID Class Reference
Extra 2D Features Framework » Experimental 2D Features Algorithms

Class implementing the locally uniform comparison image descriptor, described in [241]. More...

`#include <opencv2/xfeatures2d.hpp>`

Inheritance diagram for cv::xfeatures2d::LUCID:

## Static Public Member Functions
static Ptr< LUCID > | create (const int lucid_kernel=1, const int blur_kernel=2)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty. More...
virtual String | getDefaultName () const CV_OVERRIDE
void | read (const String &fileName)
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing the locally uniform comparison image descriptor, described in [241].

An image descriptor that can be computed very fast, while being about as robust as, for example, SURF or BRIEF.

Note
  It requires a color image as input.

## Member Function Documentation

## § create()

static Ptr<LUCID> cv::xfeatures2d::LUCID::create | ( | const int | lucid_kernel = `1`,
|  | const int | blur_kernel = `2`
| ) |  |
| static

Python:
| retval | = | cv.xfeatures2d.LUCID_create( | [, lucid_kernel[, blur_kernel]] | )

Parameters

  lucid_kernel | kernel for descriptor construction, where 1=3x3, 2=5x5, 3=7x7 and so forth
  blur_kernel | kernel for blurring image prior to descriptor construction, where 1=3x3, 2=5x5, 3=7x7 and so forth

The documentation for this class was generated from the following file:

- opencv2/xfeatures2d.hpp